Skip to Content

MusicKit V5.6.2 now available

There is now a new release available of the MusicKit that will run on MacOS 10.4 through to 10.6 and GNUstep. Binaries for MacOS 10.6 Intel only are now also available. Versions of MacOS below 10.4 are no longer officially supported. Please refer to MusicKit_ChangeLog.txt for the official list of changes, but the highlights are:


  • MacOS 10.6 is now supported.

  • Vector hardware on MacOS X is supported for both PPC and Intel.

  • Apple AudioUnits are now built as standard in the SndKit.

  • All nib files (including Ensemble and edsnd applications) have been upgraded to the latest InterfaceBuilder v3.0 format.

Embarrassingly, I discovered a small bug if you are trying to build on MacOS 10.4 after the 5.6.2. In this case, I suggest checking out the code from the head of the SVN repository, or staying with 5.6.1 if you are on MacOS 10.4. The change will be rolled into a V5.6.3 release which will follow very soon.

Copyright | blog